# Uses of Enum Class
de.geolykt.starloader.deobf.access.AccessFlagModifier.Type

Packages that use AccessFlagModifier.Type
Package
Description
de.geolykt.starloader.deobf.access

## Uses of AccessFlagModifier.Type in de.geolykt.starloader.deobf.access

Fields in de.geolykt.starloader.deobf.access declared as AccessFlagModifier.Type
Modifier and Type
Field
Description
`final AccessFlagModifier.Type`
AccessFlagModifier.`type`
Deprecated.
Methods in de.geolykt.starloader.deobf.access that return AccessFlagModifier.Type
Modifier and Type
Method
Description
`static AccessFlagModifier.Type`
AccessFlagModifier.Type.`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static AccessFlagModifier.Type[]`
AccessFlagModifier.Type.`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in de.geolykt.starloader.deobf.access with parameters of type AccessFlagModifier.Type
Modifier
Constructor
Description
``
`AccessFlagModifier(AccessFlagModifier.Type type, String clazz, Optional<String> name, Optional<String> descriptor, boolean compileOnly)`
Deprecated.
``
`AccessibleModifier(AccessFlagModifier.Type type, String clazz, Optional<String> name, Optional<String> descriptor, boolean compileOnly)`
Deprecated.
``
`ExtendableModifier(AccessFlagModifier.Type type, String clazz, Optional<String> name, Optional<String> descriptor, boolean compileOnly)`
Deprecated.
``
`RemoveFlagModifier(AccessFlagModifier.Type type, String clazz, Optional<String> name, Optional<String> descriptor, int flag, String awMode, boolean compileOnly)`
Deprecated.